SOURCES	+= CGPixelShader.cpp \
	CGShader.cpp \
	CGShaderManager.cpp \
	CGVertexShader.cpp \
	GLWindow.cpp \
	AdvancedEdges.cpp \
	CGPass.cpp \
	CGEffect.cpp \
	GLTexture.cpp \
	CGAdvancedEdgesVS.cpp \
	CGAdvancedEdgesPS.cpp

HEADERS	+= CGPixelShader.h \
	CGShader.h \
	CGShaderManager.h \
	CGVertexShader.h \
	GLWindow.h \
	CGPass.h \
	CGEffect.h \
	GLTexture.h \
	CGAdvancedEdgesVS.h \
	CGAdvancedEdgesPS.h

ROOTDIR         = ./
TARGET	        = AdvancedEdges
VERSION         = 1.0
DESTDIR         = $$ROOTDIR
MOC_DIR         = moc_files
OBJECTS_DIR     = obj_files

#CONFIG         += qt thread warn_on opengl debug console


unix:TMAKE_LIBS = -L$$ROOTDIR/lib

win32:TMAKE_LIBS = $$ROOTDIR/lib/qglviewer.lib



DEPENDPATH = $$INCLUDEPATH


TEMPLATE	=app
CONFIG		+= qt thread warn_off opengl release console
win32:DEFINES	+= __WIN32
INCLUDEPATH	+= $$ROOTDIR/include /usr/include/QGLViewer ../../../../X3DToolKit-0.6/include
win32:LIBS	+= Imm32.lib cg.lib cgGL.lib glut32.lib
unix:LIBS	+= -lQGLViewer -lCg -lCgGL -lglut -lX3DTK
LANGUAGE	= C++
