//===========================================================================
// Createurs : Clement VIGUIER & Jean-Baptiste SILVY
// Fichier : Sketch.cpp
// Description : point d'entree du programme principal
//===========================================================================


#include <qapplication.h>
#include <QGLViewer/qglviewer.h>
#include "./GLWindow.h"


//-------------------------------------------------------------------------
// PROGRAMME PRINCIPAL ----------------------------------------------------
//-------------------------------------------------------------------------

int main( int argc, char * argv[] )
{
   QApplication application( argc, argv ) ;

   CGLWindow window ;
   
   // rendre la fenetre visible
   window.show() ;

   // utiliser la fenetre comme widget principal
   application.setMainWidget( &window ) ;

   return application.exec() ;
}
