//===========================================================================
// Createurs : Clement VIGUIER & Jean-Baptiste SILVY
// Fichier : CGShader.cpp
// Description : Classe permettant de stocker les informations necessaires
//               a un Shader ecrit en CG.
//===========================================================================


#include "./CGShader.h"


//-------------------------------------------------------------------------
// CONSTRUCTEURS - DESTRUCTEUR --------------------------------------------
//-------------------------------------------------------------------------

CCGShader::~CCGShader( void )
{
   cgDestroyProgram( m_cgpProgram ) ;
}




//-------------------------------------------------------------------------
// INTERFACE UTILISATION --------------------------------------------------
//-------------------------------------------------------------------------

void CCGShader::enable( void )
{
   cgGLEnableProfile( m_cgpProfile ) ;
}

//-------------------------------------------------------------------------

void CCGShader::disable( void )
{
   cgGLDisableProfile( m_cgpProfile ) ;
}




//-------------------------------------------------------------------------
// MODIFIEURS -------------------------------------------------------------
//-------------------------------------------------------------------------

void CCGShader::recompile( void )
{
   cgCompileProgram( m_cgpProgram ) ;
}

//-------------------------------------------------------------------------
